/**
Datele de tip caracter (unul singur) atunci când se compară, rezultatul
este dat de codul ASCII.
Astfel,
'!' < '5'  (! are codul ASCII 33 iar 5 are codul 53)
'5' < 'A'  (A are codul 65)
'A' < 'a'  (a are codul 97)

Asta permite scrierea de expresii care să verifice dacă un caracter este de un anume tip.
De exemplu, ca să verificăm dacă-i cifră:
if(c>='0' && c<='9')
ca să verificăm dacă-i literă:
if(c>='A'&&c<='Z' || c>='a'&&c<='z')

DAR, există și funcții care fac acest lucru (biblioteca cctype)
isdigit(char) - verifică dacă e caracter cifră
isalpha(char) - verifică dacă e caracter literă
islower(char) - verifică dacă e caracter literă mică
isupper(char) - verifică dacă e caracter literă mare

!! Ele întorc 0 dacă nu-i bine sau ceva diferit de 0 dacă e bine.

când le folosiți, NU comparați cu vreun număr, ci folosiți forma clasică pt. expresii logice:

if(isupper(char))
sau
if(!isupper(char))

mai există și funcțiile
* toupper(char) - dacă char este literă mică funcția returnează
  caracterul literă mare corespunzător
Dacă nu, o lasă în pace
* tolower(char) - dacă char este literă mare funcția returnează
  caracterul literă mică corespunzător
Dacă nu, o lasă în pace

!! Acestea două întorc codul ASCII !!

Aplicație: Citim un string. Să formăm altul în care fiecare literă mică este înlocuită cu
codul său ASCII.
Ex:
Ana ARE Mere
Răspuns:
A11097 ARE M101114101
*/
#include <iostream>
#include <string>
using namespace std;

int main()
{
    string s,res="";
    getline(cin,s);
    int i;
    for(i=0;i<s.size();i++)
        if(!islower(s[i]))
            res=res+s[i];
        else
            res=res+to_string((int)s[i]);
    cout<<res;
    return 0;
}
