/**
   Funcția următoare calculează în mod recursiv factorialul unui număr
natural
*/
#include <iostream>

using namespace std;

///obs: implementarea funcțiilor recursive trebuie făcută cu moderație:
///adică DOAR dacă diferența dintre implementarea nerecursivă și cea recursivă
///este colosal mai dificilă
///Deoarece funcțiile recursive sunt mai ineficiente decât implementarea
///nerecursivă (nerecursviv se folosește adesea și ca "iterativ")

int factorial(int n)
{
    if(n==0)
         return 1;
    return n*factorial(n-1);
}

int main()
{
    cout << factorial(5);
    return 0;
}
