/**
  Să se completeze codul funcției de mai jos, astfel încât aceasta să afișeze
toate numerele dintre x și y inclusiv, scrise în baza b (atât x și y se garantează
că sunt deja scrise în baza b, iar b este <=10. De asemenea, valorile care
se afișează se scriu și ele tot în baza b).
Ex:
x=2314 y=3012 b=5
Răspuns:
2314 2320 2321 2322 2323 2324 2330 2331 2332 2333 2334
2340 2341 2342 2343 2344 2400 2401 2402 2403 2404 2410
2411 2412 2413 2414 2420 2421 2422 2423 2424 2430 2431
2432 2433 2434 2440 2441 2442 2443 2444 3000 3001 3002
3003 3004 3010 3011 3012

Metoda2: simulăm adunarea cu 1 în baza dată.
Adică, adunăm 1 la ultima cifră a numărului nostru.
Dacă aceasta se face egală cu baza o resetăm la 0 și adunăm 1 mai
departe
*/
#include <iostream>
using namespace std;



void numara(int x,int y,int b)
{
    int nr=x,t,p,c;
    while(nr<=y)
    {
        cout<<nr<<" ";
        t=1;p=1;
        while(t)
        {
            c=nr/p%10;
            c++;
            if(c==b)c=0;
               else t=0;
            nr=(nr/p/10*10+c)*p+nr%p;
            p*=10;
        }
    }
}

int main()
{
    int x,y,b;
    cin>>x>>y>>b;
    numara(x,y,b);
    return 0;
}
