/**
  Se citește n și apoi un șir cu n numere naturale.

  Să se transforme totul în binar, să se pună cap la cap și să se determine
lungimea celei mai lungi secvențe formată DOAR din cifre de 1.
Ex:
n=4
22 998 395 576
Transformate în binar sunt:
10110 1111100110 110001011 1001000000
Puse kp la kp:
1011011111001101100010111001000000
lungimea celei mai lungi secvențe formată DOAR din 1: 5
*/
#include <iostream>
using namespace std;

///facem o funcție care converteșe un număr din baza 10
///în baza 2, însă întoarcem rezultatul ca string
string dec_to_bin_string(int n)
{
    string res="";
    do
    {
        res=to_string(n%2)+res;
        n/=2;
    }while(n);
    return res;
}

int main()
{
    int n,i,x;
    string s="";
    cin>>n;
    for(i=1;i<=n;i++)
    {
        cin>>x;
        s=s+dec_to_bin_string(x);
    }
    cout<<s<<"\n";
    ///determin numărul cele mai lungi secvențe de 1 din string:
    ///tehnica: ia un contor care menține la fiecare pas lungimea celei
    ///mai lungi secvențe care se termină la acel pas.
    ///pentru asta îl inițializez cu 0. La întâlnirea unui 1 counter-ul
    ///crește. La întâlnirea unui 0 se resetează la 0.
    ///Maximul acestor countere ne dă soluția căutată:
    int cnt=0,cmax=-1;
    for(i=0;i<s.size();i++)
    {
        if(s[i]=='1')
            cnt++;
        else
            cnt=0;
        if(cnt>cmax)
            cmax=cnt;
    }
    cout<<"Lungimea celei mai lungi secvente de 1 este "<<cmax;
    return 0;
}
