/**
 Se dă un string care conține doar litere mici (maxim 100)
 Plecând de la acesta, să creăm un altul, în felul următor:
 - prima literă din stringul dat se pune la începutul stringului nou și
 i se asociază numărul 0
 - fiecare literă nouă din stringul dat se inserează în stringul nou
astfel încât acesta să rămână în ordine alfabetică. Dacă litera
pe care o inserăm apare deja în stringul dat, o inserăm înaintea celorlalte
egale cu ea.
Fiecărei litere noi astfel inserate i se asociază următoarea valoare:
      3 dacă ea este egală cu una deja existentă
  Dacă litera inserată NU este egală cu una existentă, i se asociază:
          - numărul 0 dacă inserarea se face la început
          - numărul 1 dacă inserarea se face la sfârșit
          - numărul 2 în cazul unei inserări diferite de cele de mai sus.

PE baza numerelor asociate, se formează un string în care punem mai întâi literele
cărora li s-a asociat 0 apoi 1, apoi 2, apoi 3.
EX:
pt. stringul
lucabenganewyork

se creează vectorii
aabceegklnnoruwy
3020322203222111

Stringul final:
acluwybegknoraen
*/
#include <iostream>
#include <string>
using namespace std;

string construieste(string s)
{///luăm caracter cu caracter din s și construim șirurile lit (cu literele) și v cu valorile
    ///corespunzătoare
    char lit[1000];
    int v[1000];
    int i,nl,poz,j;
    lit[1]=s[0];
    v[1]=0;
    nl=1;///nl = numărul de litere inserate la pasul curent
    for(i=1;i<s.size();i++)
    {///vedem pe ce poziție inserăm litera s[i] în vectorul lit:
        ///pentru asta parcurgem vectorul lit oprindu-ne pe prima literă care este mai mare sau egală cu s[i]
        poz=-1;
        for(j=1;j<=nl;j++)
            if(lit[j]>=s[i])
            {
                poz=j;
                break;
            }
        ///tratăm cazul în care litera noastră e ea mai mare ca toate - și trebuie pusă la final
        if(poz==-1)
        {
            nl++;lit[nl]=s[i];v[nl]=1;
        }
        else
        {
            ///acum oricum trebuie să facem inserarea la indicele poz: adică mutăm de la poz la nl
            ///cu o poziție la dreapta
            for(j=nl;j>=poz;j--)
                  {lit[j+1]=lit[j];
                   v[j+1]=v[j];}
            nl++;
            lit[poz]=s[i];///am făcut inserarea
            if(lit[poz]==lit[poz+1])///dacă litera inserată este egală cu cea de după, punem 3:
                v[poz]=3;
            else
                if(poz==1)v[poz]=0;///dacă inserarea s-a făcut pe prima poziție, punem 0
                else v[poz]=2;
        }
    }
    string rez="";
    for(i=0;i<=3;i++)///ăstea reprezintă codurile
        for(j=1;j<=nl;j++)
            if(v[j]==i)rez+=lit[j];
    return rez;
}

int main()
{
    string s;
    getline(cin,s);
    cout<<construieste(s);
    return 0;
}
