/**
 Scriem o funcție care calculează aria unui triunghi date fiind laturile
sale

  Pentru asta ne folosim de formula lui Heron:

  - calculam p=(a+b+c)/2
  - formula ariei = sqrt(p*(p-a)*(p-b)*(p-c))

 Vom lua în calcul și că cele 3 valori Nu pot forma triunghi - în acest
caz punem funcția să întoarcă -1.
  Pentru generalitate, cele 3 valori (a,b,c) le luăm de tip real
(cu zecimale) - le vom lua de tip double
*/
#include <iostream>
#include <cmath>
using namespace std;

double arie_triunghi(double a, double b, double c)
{///explicație: funcția aria triunghiului are 3 parametri: a,b,c = laturile
    ///și în urma executării sale se obține o valoare reală
    double p=(a+b+c)/2, ap=p*(p-a)*(p-b)*(p-c);
    if(a>=b+c||b>=a+c||c>=a+b)
            return -1;
///obs: instrucțiunea return este foarte puternică, în senul că
///NU doar că stabilește valoarea pe care o dă funcția, ci oprește
///tot ce mișcă în funcție și se întoarce acolo de unde funcția a fost
///chemată
    return sqrt(ap);
}

int main()
{
    cout<<arie_triunghi(2,-2,2);
    return 0;
}
