/**
  Tipul char în C++ reține exact un singur caracter, care se reprezintă pe
1 octet (=byte) prin codul său ASCII.

  Codurile ASCII cele mai importante (pe care nu e rău să le știți) sunt:
  '0' - 48
  'A' - 65
  'a' - 97  (diferența dintre aceeași literă mare și mică este 32)

Un singur caracter, atunci când vrem să specificăm că este de tip char
se scrie între apostrofuri
*/
#include <iostream>
using namespace std;

int main()
{
    char c='A';
    cout<<"Caracterul:"<<c<<"\n";
    cout<<"Codul ASCII:"<<(int)c<<"\n";
    c='2';//!!Atenție că un caracter cifră NU are codul ASCII exact cifra respectivă,
            ///ci adunată cu 48 (este codul lui '0'
    cout<<"Caracterul:"<<c<<"\n";
    cout<<"Codul ASCII:"<<(int)c<<"\n";
    ///deci dacă avem o cifră și ne trebuie caracterul care să aibă codul ASCII
    ///ACEA cifră
    int cifra=8;
    char caracterul=cifra+'0';
    cout<<caracterul;
    return 0;
}
