/**
 Se citește un număr natural nr în baza 10 și o bază de numerație b mai mică decât 36.
(acest număr 35 este ales astfel încât cifra cea mai mare posibilă să se noteze cu litera Z
  - știm că dacă e o cifră mai mare ca 10, aceasta se notează printr-o literă mare:
  A=10,B=11,C=12,...)
  Să se afișeze cifrele lui nr transformat în baza b, în ordinea inversă decât apar
ele în număr.
Ex:
  nr=1000 b=16
  Răspuns: 8 E 3

Rezolvare: facem împărțiri repetate la b și afișăm resturile
(e ca la algoritmul de aflare a cifrelor unui număr, doar că în loc
de 10 împărțim la b)
În plus, dacă restul este mai mare ca 10, trebuie să aflăm cifra corespunzătoare.

*/
#include <iostream>

using namespace std;

int main()
{
    int nr,b,c;
    cin>>nr>>b;
    do
    {
        c=nr%b;
        if(c<10)
            cout<<c<<" ";
        else///ne bazăm pe codul ASCII: fiecare caracter are un cod. Literele sunt:
            cout<<(char)(55+c)<<" ";         ///A=65, B=66, C=67
        nr/=b;
    }while(nr);
    return 0;
}
