/**
  Se dă x un număr într-o bază b<10.

  Să se transforme în baza 10.
Ex:
2320   = ?
    5     10

Răsp: 2*5^3+3*5^2+2*5+0=250+75+10=335

Obs: Noi avem x citit ca un tot - când îi scoatem cifrele acestea ies
   în ordine inversă: 0, 2, 3, 2
Facem calculele de mai sus ținând cont de asta - menținem într-o variabilă
p puterea corespunzătoare cifrei care iese.
Astfel, la cifra 0 avem p=1
la cifra 2 avem p=5
la cifra 3 avem p=25
la cifra 2 avem p=125
(deci la fiecare cifră facem p*=b)
*/
#include <iostream>
using namespace std;

int main()
{
    int x,b,p=1,x10=0;
    cin>>x>>b;
    do
    {
        x10 += x%10*p;
        p*=b;
        x/=10;   ///(înseamnă x=x/10 deci elimin ultima cifră
    }while(x);
    cout<<x10;
    return 0;
}
