/**
 Se dă n și apoi un șir de numere naturale despre care se garantează că sunt <=255
(asta înseamnă că reprezentarea lor binară încape pe un singur byte).
Să se formeze un șir din reprezentările lor binare puse cap la cap. DE data asta
în reprezentările binare vom pune și zerourile nesemnificative.
(gen: 22 se reprezintă ca 10110 însă pe un byte (=8 biți) mai punem și zerourile din față: 00010110)

Se mai dă încă un alt număr la fel (natural <=255).
Să se determine dacă în întreg șirul cu reprezentările binare concatenate de mai sus apare
ca substring reprezentarea acelui număr - pe care de data asta o considerăm fără zerourile
nesemnificative din față
  Dacă apare, se va afișa indicele primei sale poziții. DAcă nu, se afișează "nu apare"
Ex:
n=4
100 22 53 74
01100100 00010110 00110101 01001010
puse cap la cap
0110010000010011010101001010
Dacă îl căutăm pe 18 (=10010), îl găsim prima dată la indicele 2)
Dacă în schimb îl căutăm pe 15 (=1111) nu îl găsim
*/
#include <iostream>
using namespace std;

///facem o funcție care converteșe un număr din baza 10
///în baza 2, însă întoarcem rezultatul ca string
string dec_to_bin_string(int n)
{
    string res="";
    do
    {
        res=to_string(n%2)+res;
        n/=2;
    }while(n);
    return res;
}

///mai facem o funcție care face același lucru DAR ÎN PLUS
///mai pune și zerourile neseminficative în față.
string dec_to_binbyte_string(int n)
{
    string res="";
    for(int i=1;i<=8;i++)
    {
        res=to_string(n%2)+res;
        n/=2;
    }
    return res;
}

int main()
{
    int n,i,x,nr;
    string s="",nrs;
    cin>>n;
    for(i=1;i<=n;i++)
    {
        cin>>x;
        s=s+dec_to_binbyte_string(x);
    }
    cout<<s;
    cout<<"\nValoarea de cautat:";
    cin>>nr;
    nrs=dec_to_bin_string(nr);
    cout<<"Valoarea in binar este:"<<nrs<<"\n";
    int pos=s.find(nrs);
    if(pos==-1)cout<<"Nu exista";
    else cout<<"Gasit for the first time la indicele "<<pos;
    return 0;
}
