#include <iostream>
#include <fstream>
using namespace std;

int nrdiv(int n)
{
    int nr=0,d;
    for(d=1;d*d<n;d++)
        if(n%d==0)nr+=2;
    if(d*d==n)nr++;
    return nr;
}

/**
  Putem fie să reținem la fiecare pas ultimele 3 valori
  (nr. de divizori ai lor, de fapt)
  SAU putem să o gândim ca o problemă de secvențe: să verificăm
dacă există o secvență formată din cel puțin 3 valori consecutive - pentru
asta folosim un contor care dacă elem. crt. este egal cu cel precedent
se incrementează, dacă nu se restează la 1.
*/

int main()
{
    ifstream fin("exista.in");
    int n,i,x,ok=0,nrd_ant=-1,nrd_crt,cnt=0;
    fin>>n;
    for(i=1;i<=n;i++)
    {
        fin>>x;
        nrd_crt=nrdiv(x);
        if(nrd_crt==nrd_ant)cnt++;
        else cnt=1;
        if(cnt==3)ok=1;
        nrd_ant=nrd_crt;
    }
    if(ok)cout<<"DA";
    else cout<<"NU";
    return 0;
}
