#include <iostream>
using namespace std;

int nr_div(int x)
{///varianta relativ eficienta, in O(sqrt(x))
    int d,nrd=0;
    for(d=1;d*d<x;d++)
        if(x%d==0)nrd+=2;
    if(d*d==x)nrd++;
    return nrd;
}

int nr_div_ef(int x)
{///varianta foarte eficientă, în ordin de complexitate
///medie de O(log n), dar totuși sqrt(n) pt. prime
///nr. de divizori se poate calcula pe baza
///desc. în factori primi, mai precis
///este dat de produsul puterilor plus 1
///din descompunere
    int d=2,nrd=1,p;
    while(d*d<=x)
    {
        p=0;
        while(x%d==0)
        {
            x/=d;p++;
        }
        nrd*=(p+1);
        d++;
    }
    if(x>1)nrd*=2;
    return nrd;
}

int powerful(int n)
{
    int i,nrdn=nr_div_ef(n);
    for(i=2;i<n;i++)
        if(nr_div_ef(i)>=nrdn)return 0;
    return 1;
}

int main()
{
    int n;
    cin>>n;
    cout<<(powerful(n)?"DA":"NU");
    return 0;
}
