﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Triunghiuri
{
    public partial class Form1 : Form
    {
        Bitmap b;
        Graphics g;
        int[] x, y;//coordonatele vf. triunghiului
        int np;//numarul de puncte deja desenate
        
        public Form1()
        {
            InitializeComponent();
        }

        private void pictureBox1_MouseClick(object sender, MouseEventArgs e)
        {
            x[np] = e.X;
            y[np] = e.Y;
            if(np==0)
            {
                g.FillEllipse(new SolidBrush(Color.Green), x[0] - 4, y[0]-4,8,8);
                np++;
            }
            else if(np==1)
            {
                g.FillEllipse(new SolidBrush(Color.Green), x[1] - 4, y[1] - 4, 8, 8);
                Random r = new Random();
                Color c = new Color();
                c=Color.FromArgb(r.Next(0, 255), r.Next(0, 255), r.Next(0, 255));
                g.DrawLine(new Pen(c, 2), x[0], y[0], x[1], y[1]);
                np++;
            }
            else if(np==2)
            {
                g.FillEllipse(new SolidBrush(Color.Green), x[2] - 4, y[2] - 4, 8, 8);
                Random r = new Random();
                Color c = new Color();
                c = Color.FromArgb(r.Next(0, 255), r.Next(0, 255), r.Next(0, 255));
                g.DrawLine(new Pen(c, 2), x[0], y[0], x[2], y[2]); 
                c = Color.FromArgb(r.Next(0, 255), r.Next(0, 255), r.Next(0, 255));
                g.DrawLine(new Pen(c, 2), x[1], y[1], x[2], y[2]);
                np = 0;
            }
            pictureBox1.Refresh();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            x=new int[3];
            y=new int[3];
            np = 0;
            b = new Bitmap(pictureBox1.Width, pictureBox1.Height);
            g= Graphics.FromImage(b);
            pictureBox1.Image = b;
        }
    }
}
