/**
La ultima problemă trebuiau determinate cele mai mici două minime distincte.

Se procedează ca la un clasament în timp real:
în două variabile min1 și min2 sunt menținute cele mai mici două minime distincte,
în ordine (de exemplu min1<min2)
  La întâlnirea unei valori mai mici STRICT decât min1, mai întâi ducem valoarea din
min1 în min2 (fostul cel mai mic minim merge pe locul 2) iar min1 primește valoarea curentă.
  La întâlnirea unei valori STRICT mai mari decât min1, și strict mai mici decât min2,
(ca să NU avem egalitate) aceasta o înlocuiește pe min2.
  Algoritmul este eficient d.p.d.v. al timpului de executare deoarece face puțini pași
pentru că datele de intrare sunt parcurse o singură dată.
  Algoritmul este eficient d.p.d.v. al memoriei deoarece utilizăm doar câteva variabile simple.

*/
#include <iostream>
#include <fstream>
using namespace std;

int main()
{
    ifstream fin("bac.txt");
    int x,min1=1000000000,min2=min1;
    ///dat fiind că numerele au cel mult 9 cifre, putem inițializa minimele cu ceva sigur mai mare,
    ///în cazul nostru este 1000000000
    while(fin>>x)
        if(x<min1)
        {
            min2=min1;min1=x;
        }
        else
            if(x>min1&&x<min2)min2=x;
    if(min2==1000000000)cout<<"Nu exista";
    else cout<<min1<<" "<<min2;
    return 0;
}
