/**
De fapt se cere maximul de la fiecare shimbare
a valorii acestuia (nestrict) cu condiția
ca elementul fix de pe poziția precedentă
să NU fie egal cu cel curent

  Pentru rezolvare afișăm indicele 1, iar maximul
se inițializează cu primul element.

  Parcurgem apoi restul elementelor și de fiecare dată
când elementul curent este mai mare sau egal cu
maximul curent se afișează indicele elementului respectiv,
cu condiția ca acest element să nu fie egal cu cel de
dinaintea sa.

  Alg. este eficient d.p.d.v. al timpului de executare
deoarece se fac puțini pași pentru că datele de intrare
sunt parcurse o singură dată.

  Alg. este eficient d.p.d.v. al memoriei deoarece
sunt utilizate doar câteva variabile simple
(în cazul de față utilizăm 4 variabile int care consumă
doar 16 bytes)
*/
#include <iostream>
#include <fstream>
using namespace std;

int main()
{
    ifstream fin("bac.txt");
    int mx,prev,x,poz=1;
    fin>>prev;
    mx=prev;
    cout<<1<<" ";
    while(fin>>x)
    {
        poz++;
        if(x>=mx)
        {
            mx=x;
            if(x!=prev)
                cout<<poz<<" ";
        }
        prev=x;
    }
    return 0;
}
